Subject: Re: Question regarding linux networking

From: Jarek Poplawski <[email-masked]>
Date: Wed, 10 Jun 2009 06:37:49 +0000

On Tue, Jun 09, 2009 at 05:50:09PM +0530, sampath kumar wrote:
> Hi All,

Hi,

I resend this message because it seems it wasn't accepted by netdev@.
(Try to use text/plain message format when sending here.)

Jarek P.

> 
> I'm trying to use/understand linux networking code. Say for example decnet,
> phonet etc, in order to register a device we need to send an RTM_NEWADDR msg
> to the kernel.
> 
> do I've to send it from kernel space or user space ? If I check the code of
> decnet or phonet, each have registered using rtnl_register an addr_doit func
> after reception of RTM_NEWADDR msg. how do i send this msg and from where ??
> 
> Can you pls help.
> 
> 
> B Sampath Kumar,
> ST-Ericsson,
> Bangalore - 38.